Subject: Re: [PATCH] hooks: add signature to the top of the commit message

From: Kaartic Sivaraam <[email-masked]>
Date: Sun, 02 Jul 2017 16:49:05 +0530

On Sat, 2017-07-01 at 13:31 -0700, Junio C Hamano wrote:
> That sounds like a sample that is there not because it would be
> useful, but because we couldn't think of any useful example.
> 
> IOW, I view it just as useful as a sample that does
> 
> 	#!/bin/sh
> 	echo "# useless cruft" >>"$1"
> 
> whose sole value is to demonstrate that you could affect what you
> see in the editor by modifying "$1".
I thought it would be useful as it could serve as a simple example
about what could be done using hooks and further would help save some
vertical spacing for users who are acquainted with that message and
wouldn't want to see it anymore.

Sending a typical patch as a follow-up.

Apart from that I would like to share a patch of my attempt to give
"notes" about a commit while writing the commit message itself. It was
an attempt to combine three hooks at once to achieve the outcome. I
just wanted to share it so that it might be of use to someone.

-- 
Kaartic